<template>
	<v-sheet class="mx-auto" elevation="4">
		<v-slide-group v-model="model" class="pa-1" show-arrows>
			<v-slide-item v-for="categorie in allCategorie" :key="categorie._id" v-slot="{ active, toggle }">
				<v-card :color="active ? 'primary' : 'secondary'" class="ma-2" width="200" @click="toggle">
					<v-row class="fill-height" align="center" v-if="!active">
						<v-col sm="12" align="center" justify="center">
							<v-img :src="$config.DEFAULT_URL + 'categorie-service/'+ categorie.image">
								<v-col sm="12" align="center" justify="center" >
									<h4 class="red darken-3 white--text">{{categorie.nom}}</h4>
								</v-col>
							</v-img>
						</v-col>
					</v-row>
					<v-row class="fill-height" align="center" justify="center">
						<v-scale-transition>
							<v-icon v-if="active" color="white" size="48" v-text="'mdi-close-circle-outline'"></v-icon>
						</v-scale-transition>
					</v-row>
				</v-card>
			</v-slide-item>
		</v-slide-group>
	
		<v-expand-transition>
	
			<v-sheet v-if="model != null" tile>
	
				<v-row class="fill-height pa-2" align="center" justify="center">
	
					<v-col sm="3" v-for="service in services" :key="service._id">
	
						<v-card class="mx-auto my-12">
	
							<v-img height="150" :src="$config.DEFAULT_URL + 'service/'+ service.images[0]"></v-img>
	
							<v-card-title>{{service.nom}}</v-card-title>
							<v-card-text>{{service.description}}</v-card-text>
							<v-card-actions>
	
								<v-btn color="deep-purple lighten-2" text :to="'/services/'+service._id">
	
									Accéder
	
								</v-btn>
	
							</v-card-actions>
	
						</v-card>
	
					</v-col>
	
				</v-row>
	
			</v-sheet>
	
		</v-expand-transition>
	
	</v-sheet>
</template>
<script>
export default {
	name: "articleGroup",
	props: ["allCategorie", "allService"],
	data: () => ({
		model: null,
		services: []
	}),
	methods: {
		serviceByCategorie(categorie, allService) {
			this.services = [];
			allService.forEach(service => {
				if (categorie.sousCategorie.length > 0) {
					categorie.sousCategorie.forEach((souscat) => {
						if (souscat.nom === service.type_service) {
							this.services.push(service);
						}
					})
				} else {
					if (categorie.nom === service.type_service) {
						this.services.push(service);
					}
				}
			});
		}
	},
	computed: {
		allCategories() {
			return this.allCategorie
		},
		allServices() {
			return this.allService
		}
	},
	watch: {
		model: function(val) {
			if (val !== undefined) {
				this.serviceByCategorie(this.allCategories[val], this.allServices)
			}
		}
	}
}
</script>